package com.hai.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class HighGasOrderExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Long offset;

    public HighGasOrderExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public Long getOffset() {
        return offset;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrderNoIsNull() {
            addCriterion("order_no is null");
            return (Criteria) this;
        }

        public Criteria andOrderNoIsNotNull() {
            addCriterion("order_no is not null");
            return (Criteria) this;
        }

        public Criteria andOrderNoEqualTo(String value) {
            addCriterion("order_no =", value, "orderNo");
            return (Criteria) this;
        }

        public Criteria andOrderNoNotEqualTo(String value) {
            addCriterion("order_no <>", value, "orderNo");
            return (Criteria) this;
        }

        public Criteria andOrderNoGreaterThan(String value) {
            addCriterion("order_no >", value, "orderNo");
            return (Criteria) this;
        }

        public Criteria andOrderNoGreaterThanOrEqualTo(String value) {
            addCriterion("order_no >=", value, "orderNo");
            return (Criteria) this;
        }

        public Criteria andOrderNoLessThan(String value) {
            addCriterion("order_no <", value, "orderNo");
            return (Criteria) this;
        }

        public Criteria andOrderNoLessThanOrEqualTo(String value) {
            addCriterion("order_no <=", value, "orderNo");
            return (Criteria) this;
        }

        public Criteria andOrderNoLike(String value) {
            addCriterion("order_no like", value, "orderNo");
            return (Criteria) this;
        }

        public Criteria andOrderNoNotLike(String value) {
            addCriterion("order_no not like", value, "orderNo");
            return (Criteria) this;
        }

        public Criteria andOrderNoIn(List<String> values) {
            addCriterion("order_no in", values, "orderNo");
            return (Criteria) this;
        }

        public Criteria andOrderNoNotIn(List<String> values) {
            addCriterion("order_no not in", values, "orderNo");
            return (Criteria) this;
        }

        public Criteria andOrderNoBetween(String value1, String value2) {
            addCriterion("order_no between", value1, value2, "orderNo");
            return (Criteria) this;
        }

        public Criteria andOrderNoNotBetween(String value1, String value2) {
            addCriterion("order_no not between", value1, value2, "orderNo");
            return (Criteria) this;
        }

        public Criteria andChildOrderNoIsNull() {
            addCriterion("child_order_no is null");
            return (Criteria) this;
        }

        public Criteria andChildOrderNoIsNotNull() {
            addCriterion("child_order_no is not null");
            return (Criteria) this;
        }

        public Criteria andChildOrderNoEqualTo(String value) {
            addCriterion("child_order_no =", value, "childOrderNo");
            return (Criteria) this;
        }

        public Criteria andChildOrderNoNotEqualTo(String value) {
            addCriterion("child_order_no <>", value, "childOrderNo");
            return (Criteria) this;
        }

        public Criteria andChildOrderNoGreaterThan(String value) {
            addCriterion("child_order_no >", value, "childOrderNo");
            return (Criteria) this;
        }

        public Criteria andChildOrderNoGreaterThanOrEqualTo(String value) {
            addCriterion("child_order_no >=", value, "childOrderNo");
            return (Criteria) this;
        }

        public Criteria andChildOrderNoLessThan(String value) {
            addCriterion("child_order_no <", value, "childOrderNo");
            return (Criteria) this;
        }

        public Criteria andChildOrderNoLessThanOrEqualTo(String value) {
            addCriterion("child_order_no <=", value, "childOrderNo");
            return (Criteria) this;
        }

        public Criteria andChildOrderNoLike(String value) {
            addCriterion("child_order_no like", value, "childOrderNo");
            return (Criteria) this;
        }

        public Criteria andChildOrderNoNotLike(String value) {
            addCriterion("child_order_no not like", value, "childOrderNo");
            return (Criteria) this;
        }

        public Criteria andChildOrderNoIn(List<String> values) {
            addCriterion("child_order_no in", values, "childOrderNo");
            return (Criteria) this;
        }

        public Criteria andChildOrderNoNotIn(List<String> values) {
            addCriterion("child_order_no not in", values, "childOrderNo");
            return (Criteria) this;
        }

        public Criteria andChildOrderNoBetween(String value1, String value2) {
            addCriterion("child_order_no between", value1, value2, "childOrderNo");
            return (Criteria) this;
        }

        public Criteria andChildOrderNoNotBetween(String value1, String value2) {
            addCriterion("child_order_no not between", value1, value2, "childOrderNo");
            return (Criteria) this;
        }

        public Criteria andChannelTypeIsNull() {
            addCriterion("channel_type is null");
            return (Criteria) this;
        }

        public Criteria andChannelTypeIsNotNull() {
            addCriterion("channel_type is not null");
            return (Criteria) this;
        }

        public Criteria andChannelTypeEqualTo(Integer value) {
            addCriterion("channel_type =", value, "channelType");
            return (Criteria) this;
        }

        public Criteria andChannelTypeNotEqualTo(Integer value) {
            addCriterion("channel_type <>", value, "channelType");
            return (Criteria) this;
        }

        public Criteria andChannelTypeGreaterThan(Integer value) {
            addCriterion("channel_type >", value, "channelType");
            return (Criteria) this;
        }

        public Criteria andChannelTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("channel_type >=", value, "channelType");
            return (Criteria) this;
        }

        public Criteria andChannelTypeLessThan(Integer value) {
            addCriterion("channel_type <", value, "channelType");
            return (Criteria) this;
        }

        public Criteria andChannelTypeLessThanOrEqualTo(Integer value) {
            addCriterion("channel_type <=", value, "channelType");
            return (Criteria) this;
        }

        public Criteria andChannelTypeIn(List<Integer> values) {
            addCriterion("channel_type in", values, "channelType");
            return (Criteria) this;
        }

        public Criteria andChannelTypeNotIn(List<Integer> values) {
            addCriterion("channel_type not in", values, "channelType");
            return (Criteria) this;
        }

        public Criteria andChannelTypeBetween(Integer value1, Integer value2) {
            addCriterion("channel_type between", value1, value2, "channelType");
            return (Criteria) this;
        }

        public Criteria andChannelTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("channel_type not between", value1, value2, "channelType");
            return (Criteria) this;
        }

        public Criteria andChannelOrderNoIsNull() {
            addCriterion("channel_order_no is null");
            return (Criteria) this;
        }

        public Criteria andChannelOrderNoIsNotNull() {
            addCriterion("channel_order_no is not null");
            return (Criteria) this;
        }

        public Criteria andChannelOrderNoEqualTo(String value) {
            addCriterion("channel_order_no =", value, "channelOrderNo");
            return (Criteria) this;
        }

        public Criteria andChannelOrderNoNotEqualTo(String value) {
            addCriterion("channel_order_no <>", value, "channelOrderNo");
            return (Criteria) this;
        }

        public Criteria andChannelOrderNoGreaterThan(String value) {
            addCriterion("channel_order_no >", value, "channelOrderNo");
            return (Criteria) this;
        }

        public Criteria andChannelOrderNoGreaterThanOrEqualTo(String value) {
            addCriterion("channel_order_no >=", value, "channelOrderNo");
            return (Criteria) this;
        }

        public Criteria andChannelOrderNoLessThan(String value) {
            addCriterion("channel_order_no <", value, "channelOrderNo");
            return (Criteria) this;
        }

        public Criteria andChannelOrderNoLessThanOrEqualTo(String value) {
            addCriterion("channel_order_no <=", value, "channelOrderNo");
            return (Criteria) this;
        }

        public Criteria andChannelOrderNoLike(String value) {
            addCriterion("channel_order_no like", value, "channelOrderNo");
            return (Criteria) this;
        }

        public Criteria andChannelOrderNoNotLike(String value) {
            addCriterion("channel_order_no not like", value, "channelOrderNo");
            return (Criteria) this;
        }

        public Criteria andChannelOrderNoIn(List<String> values) {
            addCriterion("channel_order_no in", values, "channelOrderNo");
            return (Criteria) this;
        }

        public Criteria andChannelOrderNoNotIn(List<String> values) {
            addCriterion("channel_order_no not in", values, "channelOrderNo");
            return (Criteria) this;
        }

        public Criteria andChannelOrderNoBetween(String value1, String value2) {
            addCriterion("channel_order_no between", value1, value2, "channelOrderNo");
            return (Criteria) this;
        }

        public Criteria andChannelOrderNoNotBetween(String value1, String value2) {
            addCriterion("channel_order_no not between", value1, value2, "channelOrderNo");
            return (Criteria) this;
        }

        public Criteria andMemIdIsNull() {
            addCriterion("mem_id is null");
            return (Criteria) this;
        }

        public Criteria andMemIdIsNotNull() {
            addCriterion("mem_id is not null");
            return (Criteria) this;
        }

        public Criteria andMemIdEqualTo(Long value) {
            addCriterion("mem_id =", value, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdNotEqualTo(Long value) {
            addCriterion("mem_id <>", value, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdGreaterThan(Long value) {
            addCriterion("mem_id >", value, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdGreaterThanOrEqualTo(Long value) {
            addCriterion("mem_id >=", value, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdLessThan(Long value) {
            addCriterion("mem_id <", value, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdLessThanOrEqualTo(Long value) {
            addCriterion("mem_id <=", value, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdIn(List<Long> values) {
            addCriterion("mem_id in", values, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdNotIn(List<Long> values) {
            addCriterion("mem_id not in", values, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdBetween(Long value1, Long value2) {
            addCriterion("mem_id between", value1, value2, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdNotBetween(Long value1, Long value2) {
            addCriterion("mem_id not between", value1, value2, "memId");
            return (Criteria) this;
        }

        public Criteria andMemPhoneIsNull() {
            addCriterion("mem_phone is null");
            return (Criteria) this;
        }

        public Criteria andMemPhoneIsNotNull() {
            addCriterion("mem_phone is not null");
            return (Criteria) this;
        }

        public Criteria andMemPhoneEqualTo(String value) {
            addCriterion("mem_phone =", value, "memPhone");
            return (Criteria) this;
        }

        public Criteria andMemPhoneNotEqualTo(String value) {
            addCriterion("mem_phone <>", value, "memPhone");
            return (Criteria) this;
        }

        public Criteria andMemPhoneGreaterThan(String value) {
            addCriterion("mem_phone >", value, "memPhone");
            return (Criteria) this;
        }

        public Criteria andMemPhoneGreaterThanOrEqualTo(String value) {
            addCriterion("mem_phone >=", value, "memPhone");
            return (Criteria) this;
        }

        public Criteria andMemPhoneLessThan(String value) {
            addCriterion("mem_phone <", value, "memPhone");
            return (Criteria) this;
        }

        public Criteria andMemPhoneLessThanOrEqualTo(String value) {
            addCriterion("mem_phone <=", value, "memPhone");
            return (Criteria) this;
        }

        public Criteria andMemPhoneLike(String value) {
            addCriterion("mem_phone like", value, "memPhone");
            return (Criteria) this;
        }

        public Criteria andMemPhoneNotLike(String value) {
            addCriterion("mem_phone not like", value, "memPhone");
            return (Criteria) this;
        }

        public Criteria andMemPhoneIn(List<String> values) {
            addCriterion("mem_phone in", values, "memPhone");
            return (Criteria) this;
        }

        public Criteria andMemPhoneNotIn(List<String> values) {
            addCriterion("mem_phone not in", values, "memPhone");
            return (Criteria) this;
        }

        public Criteria andMemPhoneBetween(String value1, String value2) {
            addCriterion("mem_phone between", value1, value2, "memPhone");
            return (Criteria) this;
        }

        public Criteria andMemPhoneNotBetween(String value1, String value2) {
            addCriterion("mem_phone not between", value1, value2, "memPhone");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIsNull() {
            addCriterion("company_id is null");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIsNotNull() {
            addCriterion("company_id is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyIdEqualTo(Long value) {
            addCriterion("company_id =", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotEqualTo(Long value) {
            addCriterion("company_id <>", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdGreaterThan(Long value) {
            addCriterion("company_id >", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdGreaterThanOrEqualTo(Long value) {
            addCriterion("company_id >=", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLessThan(Long value) {
            addCriterion("company_id <", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLessThanOrEqualTo(Long value) {
            addCriterion("company_id <=", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIn(List<Long> values) {
            addCriterion("company_id in", values, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotIn(List<Long> values) {
            addCriterion("company_id not in", values, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdBetween(Long value1, Long value2) {
            addCriterion("company_id between", value1, value2, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotBetween(Long value1, Long value2) {
            addCriterion("company_id not between", value1, value2, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNull() {
            addCriterion("company_name is null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNotNull() {
            addCriterion("company_name is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameEqualTo(String value) {
            addCriterion("company_name =", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotEqualTo(String value) {
            addCriterion("company_name <>", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThan(String value) {
            addCriterion("company_name >", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThanOrEqualTo(String value) {
            addCriterion("company_name >=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThan(String value) {
            addCriterion("company_name <", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThanOrEqualTo(String value) {
            addCriterion("company_name <=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLike(String value) {
            addCriterion("company_name like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotLike(String value) {
            addCriterion("company_name not like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIn(List<String> values) {
            addCriterion("company_name in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotIn(List<String> values) {
            addCriterion("company_name not in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameBetween(String value1, String value2) {
            addCriterion("company_name between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotBetween(String value1, String value2) {
            addCriterion("company_name not between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andMerIdIsNull() {
            addCriterion("mer_id is null");
            return (Criteria) this;
        }

        public Criteria andMerIdIsNotNull() {
            addCriterion("mer_id is not null");
            return (Criteria) this;
        }

        public Criteria andMerIdEqualTo(Long value) {
            addCriterion("mer_id =", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdNotEqualTo(Long value) {
            addCriterion("mer_id <>", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdGreaterThan(Long value) {
            addCriterion("mer_id >", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdGreaterThanOrEqualTo(Long value) {
            addCriterion("mer_id >=", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdLessThan(Long value) {
            addCriterion("mer_id <", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdLessThanOrEqualTo(Long value) {
            addCriterion("mer_id <=", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdIn(List<Long> values) {
            addCriterion("mer_id in", values, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdNotIn(List<Long> values) {
            addCriterion("mer_id not in", values, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdBetween(Long value1, Long value2) {
            addCriterion("mer_id between", value1, value2, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdNotBetween(Long value1, Long value2) {
            addCriterion("mer_id not between", value1, value2, "merId");
            return (Criteria) this;
        }

        public Criteria andMerNameIsNull() {
            addCriterion("mer_name is null");
            return (Criteria) this;
        }

        public Criteria andMerNameIsNotNull() {
            addCriterion("mer_name is not null");
            return (Criteria) this;
        }

        public Criteria andMerNameEqualTo(String value) {
            addCriterion("mer_name =", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameNotEqualTo(String value) {
            addCriterion("mer_name <>", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameGreaterThan(String value) {
            addCriterion("mer_name >", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameGreaterThanOrEqualTo(String value) {
            addCriterion("mer_name >=", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameLessThan(String value) {
            addCriterion("mer_name <", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameLessThanOrEqualTo(String value) {
            addCriterion("mer_name <=", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameLike(String value) {
            addCriterion("mer_name like", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameNotLike(String value) {
            addCriterion("mer_name not like", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameIn(List<String> values) {
            addCriterion("mer_name in", values, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameNotIn(List<String> values) {
            addCriterion("mer_name not in", values, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameBetween(String value1, String value2) {
            addCriterion("mer_name between", value1, value2, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameNotBetween(String value1, String value2) {
            addCriterion("mer_name not between", value1, value2, "merName");
            return (Criteria) this;
        }

        public Criteria andStoreIdIsNull() {
            addCriterion("store_id is null");
            return (Criteria) this;
        }

        public Criteria andStoreIdIsNotNull() {
            addCriterion("store_id is not null");
            return (Criteria) this;
        }

        public Criteria andStoreIdEqualTo(Long value) {
            addCriterion("store_id =", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdNotEqualTo(Long value) {
            addCriterion("store_id <>", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdGreaterThan(Long value) {
            addCriterion("store_id >", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdGreaterThanOrEqualTo(Long value) {
            addCriterion("store_id >=", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdLessThan(Long value) {
            addCriterion("store_id <", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdLessThanOrEqualTo(Long value) {
            addCriterion("store_id <=", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdIn(List<Long> values) {
            addCriterion("store_id in", values, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdNotIn(List<Long> values) {
            addCriterion("store_id not in", values, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdBetween(Long value1, Long value2) {
            addCriterion("store_id between", value1, value2, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdNotBetween(Long value1, Long value2) {
            addCriterion("store_id not between", value1, value2, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreNameIsNull() {
            addCriterion("store_name is null");
            return (Criteria) this;
        }

        public Criteria andStoreNameIsNotNull() {
            addCriterion("store_name is not null");
            return (Criteria) this;
        }

        public Criteria andStoreNameEqualTo(String value) {
            addCriterion("store_name =", value, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameNotEqualTo(String value) {
            addCriterion("store_name <>", value, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameGreaterThan(String value) {
            addCriterion("store_name >", value, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameGreaterThanOrEqualTo(String value) {
            addCriterion("store_name >=", value, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameLessThan(String value) {
            addCriterion("store_name <", value, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameLessThanOrEqualTo(String value) {
            addCriterion("store_name <=", value, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameLike(String value) {
            addCriterion("store_name like", value, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameNotLike(String value) {
            addCriterion("store_name not like", value, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameIn(List<String> values) {
            addCriterion("store_name in", values, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameNotIn(List<String> values) {
            addCriterion("store_name not in", values, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameBetween(String value1, String value2) {
            addCriterion("store_name between", value1, value2, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameNotBetween(String value1, String value2) {
            addCriterion("store_name not between", value1, value2, "storeName");
            return (Criteria) this;
        }

        public Criteria andDeductionPriceIsNull() {
            addCriterion("deduction_price is null");
            return (Criteria) this;
        }

        public Criteria andDeductionPriceIsNotNull() {
            addCriterion("deduction_price is not null");
            return (Criteria) this;
        }

        public Criteria andDeductionPriceEqualTo(BigDecimal value) {
            addCriterion("deduction_price =", value, "deductionPrice");
            return (Criteria) this;
        }

        public Criteria andDeductionPriceNotEqualTo(BigDecimal value) {
            addCriterion("deduction_price <>", value, "deductionPrice");
            return (Criteria) this;
        }

        public Criteria andDeductionPriceGreaterThan(BigDecimal value) {
            addCriterion("deduction_price >", value, "deductionPrice");
            return (Criteria) this;
        }

        public Criteria andDeductionPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("deduction_price >=", value, "deductionPrice");
            return (Criteria) this;
        }

        public Criteria andDeductionPriceLessThan(BigDecimal value) {
            addCriterion("deduction_price <", value, "deductionPrice");
            return (Criteria) this;
        }

        public Criteria andDeductionPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("deduction_price <=", value, "deductionPrice");
            return (Criteria) this;
        }

        public Criteria andDeductionPriceIn(List<BigDecimal> values) {
            addCriterion("deduction_price in", values, "deductionPrice");
            return (Criteria) this;
        }

        public Criteria andDeductionPriceNotIn(List<BigDecimal> values) {
            addCriterion("deduction_price not in", values, "deductionPrice");
            return (Criteria) this;
        }

        public Criteria andDeductionPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("deduction_price between", value1, value2, "deductionPrice");
            return (Criteria) this;
        }

        public Criteria andDeductionPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("deduction_price not between", value1, value2, "deductionPrice");
            return (Criteria) this;
        }

        public Criteria andPayablePriceIsNull() {
            addCriterion("payable_price is null");
            return (Criteria) this;
        }

        public Criteria andPayablePriceIsNotNull() {
            addCriterion("payable_price is not null");
            return (Criteria) this;
        }

        public Criteria andPayablePriceEqualTo(BigDecimal value) {
            addCriterion("payable_price =", value, "payablePrice");
            return (Criteria) this;
        }

        public Criteria andPayablePriceNotEqualTo(BigDecimal value) {
            addCriterion("payable_price <>", value, "payablePrice");
            return (Criteria) this;
        }

        public Criteria andPayablePriceGreaterThan(BigDecimal value) {
            addCriterion("payable_price >", value, "payablePrice");
            return (Criteria) this;
        }

        public Criteria andPayablePriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("payable_price >=", value, "payablePrice");
            return (Criteria) this;
        }

        public Criteria andPayablePriceLessThan(BigDecimal value) {
            addCriterion("payable_price <", value, "payablePrice");
            return (Criteria) this;
        }

        public Criteria andPayablePriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("payable_price <=", value, "payablePrice");
            return (Criteria) this;
        }

        public Criteria andPayablePriceIn(List<BigDecimal> values) {
            addCriterion("payable_price in", values, "payablePrice");
            return (Criteria) this;
        }

        public Criteria andPayablePriceNotIn(List<BigDecimal> values) {
            addCriterion("payable_price not in", values, "payablePrice");
            return (Criteria) this;
        }

        public Criteria andPayablePriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("payable_price between", value1, value2, "payablePrice");
            return (Criteria) this;
        }

        public Criteria andPayablePriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("payable_price not between", value1, value2, "payablePrice");
            return (Criteria) this;
        }

        public Criteria andPayGoldIsNull() {
            addCriterion("pay_gold is null");
            return (Criteria) this;
        }

        public Criteria andPayGoldIsNotNull() {
            addCriterion("pay_gold is not null");
            return (Criteria) this;
        }

        public Criteria andPayGoldEqualTo(Integer value) {
            addCriterion("pay_gold =", value, "payGold");
            return (Criteria) this;
        }

        public Criteria andPayGoldNotEqualTo(Integer value) {
            addCriterion("pay_gold <>", value, "payGold");
            return (Criteria) this;
        }

        public Criteria andPayGoldGreaterThan(Integer value) {
            addCriterion("pay_gold >", value, "payGold");
            return (Criteria) this;
        }

        public Criteria andPayGoldGreaterThanOrEqualTo(Integer value) {
            addCriterion("pay_gold >=", value, "payGold");
            return (Criteria) this;
        }

        public Criteria andPayGoldLessThan(Integer value) {
            addCriterion("pay_gold <", value, "payGold");
            return (Criteria) this;
        }

        public Criteria andPayGoldLessThanOrEqualTo(Integer value) {
            addCriterion("pay_gold <=", value, "payGold");
            return (Criteria) this;
        }

        public Criteria andPayGoldIn(List<Integer> values) {
            addCriterion("pay_gold in", values, "payGold");
            return (Criteria) this;
        }

        public Criteria andPayGoldNotIn(List<Integer> values) {
            addCriterion("pay_gold not in", values, "payGold");
            return (Criteria) this;
        }

        public Criteria andPayGoldBetween(Integer value1, Integer value2) {
            addCriterion("pay_gold between", value1, value2, "payGold");
            return (Criteria) this;
        }

        public Criteria andPayGoldNotBetween(Integer value1, Integer value2) {
            addCriterion("pay_gold not between", value1, value2, "payGold");
            return (Criteria) this;
        }

        public Criteria andPayPriceIsNull() {
            addCriterion("pay_price is null");
            return (Criteria) this;
        }

        public Criteria andPayPriceIsNotNull() {
            addCriterion("pay_price is not null");
            return (Criteria) this;
        }

        public Criteria andPayPriceEqualTo(BigDecimal value) {
            addCriterion("pay_price =", value, "payPrice");
            return (Criteria) this;
        }

        public Criteria andPayPriceNotEqualTo(BigDecimal value) {
            addCriterion("pay_price <>", value, "payPrice");
            return (Criteria) this;
        }

        public Criteria andPayPriceGreaterThan(BigDecimal value) {
            addCriterion("pay_price >", value, "payPrice");
            return (Criteria) this;
        }

        public Criteria andPayPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("pay_price >=", value, "payPrice");
            return (Criteria) this;
        }

        public Criteria andPayPriceLessThan(BigDecimal value) {
            addCriterion("pay_price <", value, "payPrice");
            return (Criteria) this;
        }

        public Criteria andPayPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("pay_price <=", value, "payPrice");
            return (Criteria) this;
        }

        public Criteria andPayPriceIn(List<BigDecimal> values) {
            addCriterion("pay_price in", values, "payPrice");
            return (Criteria) this;
        }

        public Criteria andPayPriceNotIn(List<BigDecimal> values) {
            addCriterion("pay_price not in", values, "payPrice");
            return (Criteria) this;
        }

        public Criteria andPayPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("pay_price between", value1, value2, "payPrice");
            return (Criteria) this;
        }

        public Criteria andPayPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("pay_price not between", value1, value2, "payPrice");
            return (Criteria) this;
        }

        public Criteria andGasRefuelPriceIsNull() {
            addCriterion("gas_refuel_price is null");
            return (Criteria) this;
        }

        public Criteria andGasRefuelPriceIsNotNull() {
            addCriterion("gas_refuel_price is not null");
            return (Criteria) this;
        }

        public Criteria andGasRefuelPriceEqualTo(BigDecimal value) {
            addCriterion("gas_refuel_price =", value, "gasRefuelPrice");
            return (Criteria) this;
        }

        public Criteria andGasRefuelPriceNotEqualTo(BigDecimal value) {
            addCriterion("gas_refuel_price <>", value, "gasRefuelPrice");
            return (Criteria) this;
        }

        public Criteria andGasRefuelPriceGreaterThan(BigDecimal value) {
            addCriterion("gas_refuel_price >", value, "gasRefuelPrice");
            return (Criteria) this;
        }

        public Criteria andGasRefuelPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_refuel_price >=", value, "gasRefuelPrice");
            return (Criteria) this;
        }

        public Criteria andGasRefuelPriceLessThan(BigDecimal value) {
            addCriterion("gas_refuel_price <", value, "gasRefuelPrice");
            return (Criteria) this;
        }

        public Criteria andGasRefuelPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_refuel_price <=", value, "gasRefuelPrice");
            return (Criteria) this;
        }

        public Criteria andGasRefuelPriceIn(List<BigDecimal> values) {
            addCriterion("gas_refuel_price in", values, "gasRefuelPrice");
            return (Criteria) this;
        }

        public Criteria andGasRefuelPriceNotIn(List<BigDecimal> values) {
            addCriterion("gas_refuel_price not in", values, "gasRefuelPrice");
            return (Criteria) this;
        }

        public Criteria andGasRefuelPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_refuel_price between", value1, value2, "gasRefuelPrice");
            return (Criteria) this;
        }

        public Criteria andGasRefuelPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_refuel_price not between", value1, value2, "gasRefuelPrice");
            return (Criteria) this;
        }

        public Criteria andGasOilNoIsNull() {
            addCriterion("gas_oil_no is null");
            return (Criteria) this;
        }

        public Criteria andGasOilNoIsNotNull() {
            addCriterion("gas_oil_no is not null");
            return (Criteria) this;
        }

        public Criteria andGasOilNoEqualTo(String value) {
            addCriterion("gas_oil_no =", value, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoNotEqualTo(String value) {
            addCriterion("gas_oil_no <>", value, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoGreaterThan(String value) {
            addCriterion("gas_oil_no >", value, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoGreaterThanOrEqualTo(String value) {
            addCriterion("gas_oil_no >=", value, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoLessThan(String value) {
            addCriterion("gas_oil_no <", value, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoLessThanOrEqualTo(String value) {
            addCriterion("gas_oil_no <=", value, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoLike(String value) {
            addCriterion("gas_oil_no like", value, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoNotLike(String value) {
            addCriterion("gas_oil_no not like", value, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoIn(List<String> values) {
            addCriterion("gas_oil_no in", values, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoNotIn(List<String> values) {
            addCriterion("gas_oil_no not in", values, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoBetween(String value1, String value2) {
            addCriterion("gas_oil_no between", value1, value2, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoNotBetween(String value1, String value2) {
            addCriterion("gas_oil_no not between", value1, value2, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoIsNull() {
            addCriterion("gas_gun_no is null");
            return (Criteria) this;
        }

        public Criteria andGasGunNoIsNotNull() {
            addCriterion("gas_gun_no is not null");
            return (Criteria) this;
        }

        public Criteria andGasGunNoEqualTo(String value) {
            addCriterion("gas_gun_no =", value, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoNotEqualTo(String value) {
            addCriterion("gas_gun_no <>", value, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoGreaterThan(String value) {
            addCriterion("gas_gun_no >", value, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoGreaterThanOrEqualTo(String value) {
            addCriterion("gas_gun_no >=", value, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoLessThan(String value) {
            addCriterion("gas_gun_no <", value, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoLessThanOrEqualTo(String value) {
            addCriterion("gas_gun_no <=", value, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoLike(String value) {
            addCriterion("gas_gun_no like", value, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoNotLike(String value) {
            addCriterion("gas_gun_no not like", value, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoIn(List<String> values) {
            addCriterion("gas_gun_no in", values, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoNotIn(List<String> values) {
            addCriterion("gas_gun_no not in", values, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoBetween(String value1, String value2) {
            addCriterion("gas_gun_no between", value1, value2, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoNotBetween(String value1, String value2) {
            addCriterion("gas_gun_no not between", value1, value2, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeIsNull() {
            addCriterion("gas_oil_type is null");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeIsNotNull() {
            addCriterion("gas_oil_type is not null");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeEqualTo(Integer value) {
            addCriterion("gas_oil_type =", value, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeNotEqualTo(Integer value) {
            addCriterion("gas_oil_type <>", value, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeGreaterThan(Integer value) {
            addCriterion("gas_oil_type >", value, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("gas_oil_type >=", value, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeLessThan(Integer value) {
            addCriterion("gas_oil_type <", value, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeLessThanOrEqualTo(Integer value) {
            addCriterion("gas_oil_type <=", value, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeIn(List<Integer> values) {
            addCriterion("gas_oil_type in", values, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeNotIn(List<Integer> values) {
            addCriterion("gas_oil_type not in", values, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeBetween(Integer value1, Integer value2) {
            addCriterion("gas_oil_type between", value1, value2, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("gas_oil_type not between", value1, value2, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformIsNull() {
            addCriterion("gas_price_platform is null");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformIsNotNull() {
            addCriterion("gas_price_platform is not null");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformEqualTo(BigDecimal value) {
            addCriterion("gas_price_platform =", value, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformNotEqualTo(BigDecimal value) {
            addCriterion("gas_price_platform <>", value, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformGreaterThan(BigDecimal value) {
            addCriterion("gas_price_platform >", value, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_platform >=", value, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformLessThan(BigDecimal value) {
            addCriterion("gas_price_platform <", value, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_platform <=", value, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformIn(List<BigDecimal> values) {
            addCriterion("gas_price_platform in", values, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformNotIn(List<BigDecimal> values) {
            addCriterion("gas_price_platform not in", values, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_platform between", value1, value2, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_platform not between", value1, value2, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunIsNull() {
            addCriterion("gas_price_gun is null");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunIsNotNull() {
            addCriterion("gas_price_gun is not null");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunEqualTo(BigDecimal value) {
            addCriterion("gas_price_gun =", value, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunNotEqualTo(BigDecimal value) {
            addCriterion("gas_price_gun <>", value, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunGreaterThan(BigDecimal value) {
            addCriterion("gas_price_gun >", value, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_gun >=", value, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunLessThan(BigDecimal value) {
            addCriterion("gas_price_gun <", value, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_gun <=", value, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunIn(List<BigDecimal> values) {
            addCriterion("gas_price_gun in", values, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunNotIn(List<BigDecimal> values) {
            addCriterion("gas_price_gun not in", values, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_gun between", value1, value2, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_gun not between", value1, value2, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipIsNull() {
            addCriterion("gas_price_vip is null");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipIsNotNull() {
            addCriterion("gas_price_vip is not null");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipEqualTo(BigDecimal value) {
            addCriterion("gas_price_vip =", value, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipNotEqualTo(BigDecimal value) {
            addCriterion("gas_price_vip <>", value, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipGreaterThan(BigDecimal value) {
            addCriterion("gas_price_vip >", value, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_vip >=", value, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipLessThan(BigDecimal value) {
            addCriterion("gas_price_vip <", value, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_vip <=", value, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipIn(List<BigDecimal> values) {
            addCriterion("gas_price_vip in", values, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipNotIn(List<BigDecimal> values) {
            addCriterion("gas_price_vip not in", values, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_vip between", value1, value2, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_vip not between", value1, value2, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialIsNull() {
            addCriterion("gas_price_official is null");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialIsNotNull() {
            addCriterion("gas_price_official is not null");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialEqualTo(BigDecimal value) {
            addCriterion("gas_price_official =", value, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialNotEqualTo(BigDecimal value) {
            addCriterion("gas_price_official <>", value, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialGreaterThan(BigDecimal value) {
            addCriterion("gas_price_official >", value, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_official >=", value, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialLessThan(BigDecimal value) {
            addCriterion("gas_price_official <", value, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_official <=", value, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialIn(List<BigDecimal> values) {
            addCriterion("gas_price_official in", values, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialNotIn(List<BigDecimal> values) {
            addCriterion("gas_price_official not in", values, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_official between", value1, value2, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_official not between", value1, value2, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostIsNull() {
            addCriterion("gas_price_cost is null");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostIsNotNull() {
            addCriterion("gas_price_cost is not null");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostEqualTo(BigDecimal value) {
            addCriterion("gas_price_cost =", value, "gasPriceCost");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostNotEqualTo(BigDecimal value) {
            addCriterion("gas_price_cost <>", value, "gasPriceCost");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostGreaterThan(BigDecimal value) {
            addCriterion("gas_price_cost >", value, "gasPriceCost");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_cost >=", value, "gasPriceCost");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostLessThan(BigDecimal value) {
            addCriterion("gas_price_cost <", value, "gasPriceCost");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_cost <=", value, "gasPriceCost");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostIn(List<BigDecimal> values) {
            addCriterion("gas_price_cost in", values, "gasPriceCost");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostNotIn(List<BigDecimal> values) {
            addCriterion("gas_price_cost not in", values, "gasPriceCost");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_cost between", value1, value2, "gasPriceCost");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_cost not between", value1, value2, "gasPriceCost");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostTotalIsNull() {
            addCriterion("gas_price_cost_total is null");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostTotalIsNotNull() {
            addCriterion("gas_price_cost_total is not null");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostTotalEqualTo(BigDecimal value) {
            addCriterion("gas_price_cost_total =", value, "gasPriceCostTotal");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostTotalNotEqualTo(BigDecimal value) {
            addCriterion("gas_price_cost_total <>", value, "gasPriceCostTotal");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostTotalGreaterThan(BigDecimal value) {
            addCriterion("gas_price_cost_total >", value, "gasPriceCostTotal");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostTotalGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_cost_total >=", value, "gasPriceCostTotal");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostTotalLessThan(BigDecimal value) {
            addCriterion("gas_price_cost_total <", value, "gasPriceCostTotal");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostTotalLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_cost_total <=", value, "gasPriceCostTotal");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostTotalIn(List<BigDecimal> values) {
            addCriterion("gas_price_cost_total in", values, "gasPriceCostTotal");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostTotalNotIn(List<BigDecimal> values) {
            addCriterion("gas_price_cost_total not in", values, "gasPriceCostTotal");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostTotalBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_cost_total between", value1, value2, "gasPriceCostTotal");
            return (Criteria) this;
        }

        public Criteria andGasPriceCostTotalNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_cost_total not between", value1, value2, "gasPriceCostTotal");
            return (Criteria) this;
        }

        public Criteria andGasPriceChannelPayIsNull() {
            addCriterion("gas_price_channel_pay is null");
            return (Criteria) this;
        }

        public Criteria andGasPriceChannelPayIsNotNull() {
            addCriterion("gas_price_channel_pay is not null");
            return (Criteria) this;
        }

        public Criteria andGasPriceChannelPayEqualTo(BigDecimal value) {
            addCriterion("gas_price_channel_pay =", value, "gasPriceChannelPay");
            return (Criteria) this;
        }

        public Criteria andGasPriceChannelPayNotEqualTo(BigDecimal value) {
            addCriterion("gas_price_channel_pay <>", value, "gasPriceChannelPay");
            return (Criteria) this;
        }

        public Criteria andGasPriceChannelPayGreaterThan(BigDecimal value) {
            addCriterion("gas_price_channel_pay >", value, "gasPriceChannelPay");
            return (Criteria) this;
        }

        public Criteria andGasPriceChannelPayGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_channel_pay >=", value, "gasPriceChannelPay");
            return (Criteria) this;
        }

        public Criteria andGasPriceChannelPayLessThan(BigDecimal value) {
            addCriterion("gas_price_channel_pay <", value, "gasPriceChannelPay");
            return (Criteria) this;
        }

        public Criteria andGasPriceChannelPayLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_channel_pay <=", value, "gasPriceChannelPay");
            return (Criteria) this;
        }

        public Criteria andGasPriceChannelPayIn(List<BigDecimal> values) {
            addCriterion("gas_price_channel_pay in", values, "gasPriceChannelPay");
            return (Criteria) this;
        }

        public Criteria andGasPriceChannelPayNotIn(List<BigDecimal> values) {
            addCriterion("gas_price_channel_pay not in", values, "gasPriceChannelPay");
            return (Criteria) this;
        }

        public Criteria andGasPriceChannelPayBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_channel_pay between", value1, value2, "gasPriceChannelPay");
            return (Criteria) this;
        }

        public Criteria andGasPriceChannelPayNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_channel_pay not between", value1, value2, "gasPriceChannelPay");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersIsNull() {
            addCriterion("gas_oil_liters is null");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersIsNotNull() {
            addCriterion("gas_oil_liters is not null");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersEqualTo(BigDecimal value) {
            addCriterion("gas_oil_liters =", value, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersNotEqualTo(BigDecimal value) {
            addCriterion("gas_oil_liters <>", value, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersGreaterThan(BigDecimal value) {
            addCriterion("gas_oil_liters >", value, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_oil_liters >=", value, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersLessThan(BigDecimal value) {
            addCriterion("gas_oil_liters <", value, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_oil_liters <=", value, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersIn(List<BigDecimal> values) {
            addCriterion("gas_oil_liters in", values, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersNotIn(List<BigDecimal> values) {
            addCriterion("gas_oil_liters not in", values, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_oil_liters between", value1, value2, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_oil_liters not between", value1, value2, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasDiscountIsNull() {
            addCriterion("gas_discount is null");
            return (Criteria) this;
        }

        public Criteria andGasDiscountIsNotNull() {
            addCriterion("gas_discount is not null");
            return (Criteria) this;
        }

        public Criteria andGasDiscountEqualTo(BigDecimal value) {
            addCriterion("gas_discount =", value, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountNotEqualTo(BigDecimal value) {
            addCriterion("gas_discount <>", value, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountGreaterThan(BigDecimal value) {
            addCriterion("gas_discount >", value, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_discount >=", value, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountLessThan(BigDecimal value) {
            addCriterion("gas_discount <", value, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_discount <=", value, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountIn(List<BigDecimal> values) {
            addCriterion("gas_discount in", values, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountNotIn(List<BigDecimal> values) {
            addCriterion("gas_discount not in", values, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_discount between", value1, value2, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_discount not between", value1, value2, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyIsNull() {
            addCriterion("gas_oil_subsidy is null");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyIsNotNull() {
            addCriterion("gas_oil_subsidy is not null");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyEqualTo(BigDecimal value) {
            addCriterion("gas_oil_subsidy =", value, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyNotEqualTo(BigDecimal value) {
            addCriterion("gas_oil_subsidy <>", value, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyGreaterThan(BigDecimal value) {
            addCriterion("gas_oil_subsidy >", value, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_oil_subsidy >=", value, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyLessThan(BigDecimal value) {
            addCriterion("gas_oil_subsidy <", value, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_oil_subsidy <=", value, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyIn(List<BigDecimal> values) {
            addCriterion("gas_oil_subsidy in", values, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyNotIn(List<BigDecimal> values) {
            addCriterion("gas_oil_subsidy not in", values, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_oil_subsidy between", value1, value2, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_oil_subsidy not between", value1, value2, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesIsNull() {
            addCriterion("gas_liters_preferences is null");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesIsNotNull() {
            addCriterion("gas_liters_preferences is not null");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesEqualTo(BigDecimal value) {
            addCriterion("gas_liters_preferences =", value, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesNotEqualTo(BigDecimal value) {
            addCriterion("gas_liters_preferences <>", value, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesGreaterThan(BigDecimal value) {
            addCriterion("gas_liters_preferences >", value, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_liters_preferences >=", value, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesLessThan(BigDecimal value) {
            addCriterion("gas_liters_preferences <", value, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_liters_preferences <=", value, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesIn(List<BigDecimal> values) {
            addCriterion("gas_liters_preferences in", values, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesNotIn(List<BigDecimal> values) {
            addCriterion("gas_liters_preferences not in", values, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_liters_preferences between", value1, value2, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_liters_preferences not between", value1, value2, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesIsNull() {
            addCriterion("gas_price_preferences is null");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesIsNotNull() {
            addCriterion("gas_price_preferences is not null");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesEqualTo(BigDecimal value) {
            addCriterion("gas_price_preferences =", value, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesNotEqualTo(BigDecimal value) {
            addCriterion("gas_price_preferences <>", value, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesGreaterThan(BigDecimal value) {
            addCriterion("gas_price_preferences >", value, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_preferences >=", value, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesLessThan(BigDecimal value) {
            addCriterion("gas_price_preferences <", value, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_preferences <=", value, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesIn(List<BigDecimal> values) {
            addCriterion("gas_price_preferences in", values, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesNotIn(List<BigDecimal> values) {
            addCriterion("gas_price_preferences not in", values, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_preferences between", value1, value2, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_preferences not between", value1, value2, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdIsNull() {
            addCriterion("gas_class_group_id is null");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdIsNotNull() {
            addCriterion("gas_class_group_id is not null");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdEqualTo(Long value) {
            addCriterion("gas_class_group_id =", value, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdNotEqualTo(Long value) {
            addCriterion("gas_class_group_id <>", value, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdGreaterThan(Long value) {
            addCriterion("gas_class_group_id >", value, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdGreaterThanOrEqualTo(Long value) {
            addCriterion("gas_class_group_id >=", value, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdLessThan(Long value) {
            addCriterion("gas_class_group_id <", value, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdLessThanOrEqualTo(Long value) {
            addCriterion("gas_class_group_id <=", value, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdIn(List<Long> values) {
            addCriterion("gas_class_group_id in", values, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdNotIn(List<Long> values) {
            addCriterion("gas_class_group_id not in", values, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdBetween(Long value1, Long value2) {
            addCriterion("gas_class_group_id between", value1, value2, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdNotBetween(Long value1, Long value2) {
            addCriterion("gas_class_group_id not between", value1, value2, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameIsNull() {
            addCriterion("gas_class_group_name is null");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameIsNotNull() {
            addCriterion("gas_class_group_name is not null");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameEqualTo(String value) {
            addCriterion("gas_class_group_name =", value, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameNotEqualTo(String value) {
            addCriterion("gas_class_group_name <>", value, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameGreaterThan(String value) {
            addCriterion("gas_class_group_name >", value, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameGreaterThanOrEqualTo(String value) {
            addCriterion("gas_class_group_name >=", value, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameLessThan(String value) {
            addCriterion("gas_class_group_name <", value, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameLessThanOrEqualTo(String value) {
            addCriterion("gas_class_group_name <=", value, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameLike(String value) {
            addCriterion("gas_class_group_name like", value, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameNotLike(String value) {
            addCriterion("gas_class_group_name not like", value, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameIn(List<String> values) {
            addCriterion("gas_class_group_name in", values, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameNotIn(List<String> values) {
            addCriterion("gas_class_group_name not in", values, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameBetween(String value1, String value2) {
            addCriterion("gas_class_group_name between", value1, value2, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameNotBetween(String value1, String value2) {
            addCriterion("gas_class_group_name not between", value1, value2, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdIsNull() {
            addCriterion("gas_class_group_task_id is null");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdIsNotNull() {
            addCriterion("gas_class_group_task_id is not null");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdEqualTo(Long value) {
            addCriterion("gas_class_group_task_id =", value, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdNotEqualTo(Long value) {
            addCriterion("gas_class_group_task_id <>", value, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdGreaterThan(Long value) {
            addCriterion("gas_class_group_task_id >", value, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdGreaterThanOrEqualTo(Long value) {
            addCriterion("gas_class_group_task_id >=", value, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdLessThan(Long value) {
            addCriterion("gas_class_group_task_id <", value, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdLessThanOrEqualTo(Long value) {
            addCriterion("gas_class_group_task_id <=", value, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdIn(List<Long> values) {
            addCriterion("gas_class_group_task_id in", values, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdNotIn(List<Long> values) {
            addCriterion("gas_class_group_task_id not in", values, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdBetween(Long value1, Long value2) {
            addCriterion("gas_class_group_task_id between", value1, value2, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdNotBetween(Long value1, Long value2) {
            addCriterion("gas_class_group_task_id not between", value1, value2, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdIsNull() {
            addCriterion("gas_staff_id is null");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdIsNotNull() {
            addCriterion("gas_staff_id is not null");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdEqualTo(Long value) {
            addCriterion("gas_staff_id =", value, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdNotEqualTo(Long value) {
            addCriterion("gas_staff_id <>", value, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdGreaterThan(Long value) {
            addCriterion("gas_staff_id >", value, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdGreaterThanOrEqualTo(Long value) {
            addCriterion("gas_staff_id >=", value, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdLessThan(Long value) {
            addCriterion("gas_staff_id <", value, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdLessThanOrEqualTo(Long value) {
            addCriterion("gas_staff_id <=", value, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdIn(List<Long> values) {
            addCriterion("gas_staff_id in", values, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdNotIn(List<Long> values) {
            addCriterion("gas_staff_id not in", values, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdBetween(Long value1, Long value2) {
            addCriterion("gas_staff_id between", value1, value2, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdNotBetween(Long value1, Long value2) {
            addCriterion("gas_staff_id not between", value1, value2, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameIsNull() {
            addCriterion("gas_staff_name is null");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameIsNotNull() {
            addCriterion("gas_staff_name is not null");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameEqualTo(String value) {
            addCriterion("gas_staff_name =", value, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameNotEqualTo(String value) {
            addCriterion("gas_staff_name <>", value, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameGreaterThan(String value) {
            addCriterion("gas_staff_name >", value, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameGreaterThanOrEqualTo(String value) {
            addCriterion("gas_staff_name >=", value, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameLessThan(String value) {
            addCriterion("gas_staff_name <", value, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameLessThanOrEqualTo(String value) {
            addCriterion("gas_staff_name <=", value, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameLike(String value) {
            addCriterion("gas_staff_name like", value, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameNotLike(String value) {
            addCriterion("gas_staff_name not like", value, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameIn(List<String> values) {
            addCriterion("gas_staff_name in", values, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameNotIn(List<String> values) {
            addCriterion("gas_staff_name not in", values, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameBetween(String value1, String value2) {
            addCriterion("gas_staff_name between", value1, value2, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameNotBetween(String value1, String value2) {
            addCriterion("gas_staff_name not between", value1, value2, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdIsNull() {
            addCriterion("gas_salesman_id is null");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdIsNotNull() {
            addCriterion("gas_salesman_id is not null");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdEqualTo(Long value) {
            addCriterion("gas_salesman_id =", value, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdNotEqualTo(Long value) {
            addCriterion("gas_salesman_id <>", value, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdGreaterThan(Long value) {
            addCriterion("gas_salesman_id >", value, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdGreaterThanOrEqualTo(Long value) {
            addCriterion("gas_salesman_id >=", value, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdLessThan(Long value) {
            addCriterion("gas_salesman_id <", value, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdLessThanOrEqualTo(Long value) {
            addCriterion("gas_salesman_id <=", value, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdIn(List<Long> values) {
            addCriterion("gas_salesman_id in", values, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdNotIn(List<Long> values) {
            addCriterion("gas_salesman_id not in", values, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdBetween(Long value1, Long value2) {
            addCriterion("gas_salesman_id between", value1, value2, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdNotBetween(Long value1, Long value2) {
            addCriterion("gas_salesman_id not between", value1, value2, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameIsNull() {
            addCriterion("gas_salesman_name is null");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameIsNotNull() {
            addCriterion("gas_salesman_name is not null");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameEqualTo(String value) {
            addCriterion("gas_salesman_name =", value, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameNotEqualTo(String value) {
            addCriterion("gas_salesman_name <>", value, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameGreaterThan(String value) {
            addCriterion("gas_salesman_name >", value, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameGreaterThanOrEqualTo(String value) {
            addCriterion("gas_salesman_name >=", value, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameLessThan(String value) {
            addCriterion("gas_salesman_name <", value, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameLessThanOrEqualTo(String value) {
            addCriterion("gas_salesman_name <=", value, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameLike(String value) {
            addCriterion("gas_salesman_name like", value, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameNotLike(String value) {
            addCriterion("gas_salesman_name not like", value, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameIn(List<String> values) {
            addCriterion("gas_salesman_name in", values, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameNotIn(List<String> values) {
            addCriterion("gas_salesman_name not in", values, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameBetween(String value1, String value2) {
            addCriterion("gas_salesman_name between", value1, value2, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameNotBetween(String value1, String value2) {
            addCriterion("gas_salesman_name not between", value1, value2, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdIsNull() {
            addCriterion("gas_agent_id is null");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdIsNotNull() {
            addCriterion("gas_agent_id is not null");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdEqualTo(Long value) {
            addCriterion("gas_agent_id =", value, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdNotEqualTo(Long value) {
            addCriterion("gas_agent_id <>", value, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdGreaterThan(Long value) {
            addCriterion("gas_agent_id >", value, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdGreaterThanOrEqualTo(Long value) {
            addCriterion("gas_agent_id >=", value, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdLessThan(Long value) {
            addCriterion("gas_agent_id <", value, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdLessThanOrEqualTo(Long value) {
            addCriterion("gas_agent_id <=", value, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdIn(List<Long> values) {
            addCriterion("gas_agent_id in", values, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdNotIn(List<Long> values) {
            addCriterion("gas_agent_id not in", values, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdBetween(Long value1, Long value2) {
            addCriterion("gas_agent_id between", value1, value2, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdNotBetween(Long value1, Long value2) {
            addCriterion("gas_agent_id not between", value1, value2, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameIsNull() {
            addCriterion("gas_agent_name is null");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameIsNotNull() {
            addCriterion("gas_agent_name is not null");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameEqualTo(String value) {
            addCriterion("gas_agent_name =", value, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameNotEqualTo(String value) {
            addCriterion("gas_agent_name <>", value, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameGreaterThan(String value) {
            addCriterion("gas_agent_name >", value, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameGreaterThanOrEqualTo(String value) {
            addCriterion("gas_agent_name >=", value, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameLessThan(String value) {
            addCriterion("gas_agent_name <", value, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameLessThanOrEqualTo(String value) {
            addCriterion("gas_agent_name <=", value, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameLike(String value) {
            addCriterion("gas_agent_name like", value, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameNotLike(String value) {
            addCriterion("gas_agent_name not like", value, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameIn(List<String> values) {
            addCriterion("gas_agent_name in", values, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameNotIn(List<String> values) {
            addCriterion("gas_agent_name not in", values, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameBetween(String value1, String value2) {
            addCriterion("gas_agent_name between", value1, value2, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameNotBetween(String value1, String value2) {
            addCriterion("gas_agent_name not between", value1, value2, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdIsNull() {
            addCriterion("gas_org_id is null");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdIsNotNull() {
            addCriterion("gas_org_id is not null");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdEqualTo(Long value) {
            addCriterion("gas_org_id =", value, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdNotEqualTo(Long value) {
            addCriterion("gas_org_id <>", value, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdGreaterThan(Long value) {
            addCriterion("gas_org_id >", value, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdGreaterThanOrEqualTo(Long value) {
            addCriterion("gas_org_id >=", value, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdLessThan(Long value) {
            addCriterion("gas_org_id <", value, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdLessThanOrEqualTo(Long value) {
            addCriterion("gas_org_id <=", value, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdIn(List<Long> values) {
            addCriterion("gas_org_id in", values, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdNotIn(List<Long> values) {
            addCriterion("gas_org_id not in", values, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdBetween(Long value1, Long value2) {
            addCriterion("gas_org_id between", value1, value2, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdNotBetween(Long value1, Long value2) {
            addCriterion("gas_org_id not between", value1, value2, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameIsNull() {
            addCriterion("gas_org_name is null");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameIsNotNull() {
            addCriterion("gas_org_name is not null");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameEqualTo(String value) {
            addCriterion("gas_org_name =", value, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameNotEqualTo(String value) {
            addCriterion("gas_org_name <>", value, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameGreaterThan(String value) {
            addCriterion("gas_org_name >", value, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameGreaterThanOrEqualTo(String value) {
            addCriterion("gas_org_name >=", value, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameLessThan(String value) {
            addCriterion("gas_org_name <", value, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameLessThanOrEqualTo(String value) {
            addCriterion("gas_org_name <=", value, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameLike(String value) {
            addCriterion("gas_org_name like", value, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameNotLike(String value) {
            addCriterion("gas_org_name not like", value, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameIn(List<String> values) {
            addCriterion("gas_org_name in", values, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameNotIn(List<String> values) {
            addCriterion("gas_org_name not in", values, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameBetween(String value1, String value2) {
            addCriterion("gas_org_name between", value1, value2, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameNotBetween(String value1, String value2) {
            addCriterion("gas_org_name not between", value1, value2, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCancelTimeIsNull() {
            addCriterion("cancel_time is null");
            return (Criteria) this;
        }

        public Criteria andCancelTimeIsNotNull() {
            addCriterion("cancel_time is not null");
            return (Criteria) this;
        }

        public Criteria andCancelTimeEqualTo(Date value) {
            addCriterion("cancel_time =", value, "cancelTime");
            return (Criteria) this;
        }

        public Criteria andCancelTimeNotEqualTo(Date value) {
            addCriterion("cancel_time <>", value, "cancelTime");
            return (Criteria) this;
        }

        public Criteria andCancelTimeGreaterThan(Date value) {
            addCriterion("cancel_time >", value, "cancelTime");
            return (Criteria) this;
        }

        public Criteria andCancelTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("cancel_time >=", value, "cancelTime");
            return (Criteria) this;
        }

        public Criteria andCancelTimeLessThan(Date value) {
            addCriterion("cancel_time <", value, "cancelTime");
            return (Criteria) this;
        }

        public Criteria andCancelTimeLessThanOrEqualTo(Date value) {
            addCriterion("cancel_time <=", value, "cancelTime");
            return (Criteria) this;
        }

        public Criteria andCancelTimeIn(List<Date> values) {
            addCriterion("cancel_time in", values, "cancelTime");
            return (Criteria) this;
        }

        public Criteria andCancelTimeNotIn(List<Date> values) {
            addCriterion("cancel_time not in", values, "cancelTime");
            return (Criteria) this;
        }

        public Criteria andCancelTimeBetween(Date value1, Date value2) {
            addCriterion("cancel_time between", value1, value2, "cancelTime");
            return (Criteria) this;
        }

        public Criteria andCancelTimeNotBetween(Date value1, Date value2) {
            addCriterion("cancel_time not between", value1, value2, "cancelTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeIsNull() {
            addCriterion("pay_time is null");
            return (Criteria) this;
        }

        public Criteria andPayTimeIsNotNull() {
            addCriterion("pay_time is not null");
            return (Criteria) this;
        }

        public Criteria andPayTimeEqualTo(Date value) {
            addCriterion("pay_time =", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeNotEqualTo(Date value) {
            addCriterion("pay_time <>", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeGreaterThan(Date value) {
            addCriterion("pay_time >", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("pay_time >=", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeLessThan(Date value) {
            addCriterion("pay_time <", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeLessThanOrEqualTo(Date value) {
            addCriterion("pay_time <=", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeIn(List<Date> values) {
            addCriterion("pay_time in", values, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeNotIn(List<Date> values) {
            addCriterion("pay_time not in", values, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeBetween(Date value1, Date value2) {
            addCriterion("pay_time between", value1, value2, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeNotBetween(Date value1, Date value2) {
            addCriterion("pay_time not between", value1, value2, "payTime");
            return (Criteria) this;
        }

        public Criteria andRefundTimeIsNull() {
            addCriterion("refund_time is null");
            return (Criteria) this;
        }

        public Criteria andRefundTimeIsNotNull() {
            addCriterion("refund_time is not null");
            return (Criteria) this;
        }

        public Criteria andRefundTimeEqualTo(Date value) {
            addCriterion("refund_time =", value, "refundTime");
            return (Criteria) this;
        }

        public Criteria andRefundTimeNotEqualTo(Date value) {
            addCriterion("refund_time <>", value, "refundTime");
            return (Criteria) this;
        }

        public Criteria andRefundTimeGreaterThan(Date value) {
            addCriterion("refund_time >", value, "refundTime");
            return (Criteria) this;
        }

        public Criteria andRefundTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("refund_time >=", value, "refundTime");
            return (Criteria) this;
        }

        public Criteria andRefundTimeLessThan(Date value) {
            addCriterion("refund_time <", value, "refundTime");
            return (Criteria) this;
        }

        public Criteria andRefundTimeLessThanOrEqualTo(Date value) {
            addCriterion("refund_time <=", value, "refundTime");
            return (Criteria) this;
        }

        public Criteria andRefundTimeIn(List<Date> values) {
            addCriterion("refund_time in", values, "refundTime");
            return (Criteria) this;
        }

        public Criteria andRefundTimeNotIn(List<Date> values) {
            addCriterion("refund_time not in", values, "refundTime");
            return (Criteria) this;
        }

        public Criteria andRefundTimeBetween(Date value1, Date value2) {
            addCriterion("refund_time between", value1, value2, "refundTime");
            return (Criteria) this;
        }

        public Criteria andRefundTimeNotBetween(Date value1, Date value2) {
            addCriterion("refund_time not between", value1, value2, "refundTime");
            return (Criteria) this;
        }

        public Criteria andRefundRemarksIsNull() {
            addCriterion("refund_remarks is null");
            return (Criteria) this;
        }

        public Criteria andRefundRemarksIsNotNull() {
            addCriterion("refund_remarks is not null");
            return (Criteria) this;
        }

        public Criteria andRefundRemarksEqualTo(String value) {
            addCriterion("refund_remarks =", value, "refundRemarks");
            return (Criteria) this;
        }

        public Criteria andRefundRemarksNotEqualTo(String value) {
            addCriterion("refund_remarks <>", value, "refundRemarks");
            return (Criteria) this;
        }

        public Criteria andRefundRemarksGreaterThan(String value) {
            addCriterion("refund_remarks >", value, "refundRemarks");
            return (Criteria) this;
        }

        public Criteria andRefundRemarksGreaterThanOrEqualTo(String value) {
            addCriterion("refund_remarks >=", value, "refundRemarks");
            return (Criteria) this;
        }

        public Criteria andRefundRemarksLessThan(String value) {
            addCriterion("refund_remarks <", value, "refundRemarks");
            return (Criteria) this;
        }

        public Criteria andRefundRemarksLessThanOrEqualTo(String value) {
            addCriterion("refund_remarks <=", value, "refundRemarks");
            return (Criteria) this;
        }

        public Criteria andRefundRemarksLike(String value) {
            addCriterion("refund_remarks like", value, "refundRemarks");
            return (Criteria) this;
        }

        public Criteria andRefundRemarksNotLike(String value) {
            addCriterion("refund_remarks not like", value, "refundRemarks");
            return (Criteria) this;
        }

        public Criteria andRefundRemarksIn(List<String> values) {
            addCriterion("refund_remarks in", values, "refundRemarks");
            return (Criteria) this;
        }

        public Criteria andRefundRemarksNotIn(List<String> values) {
            addCriterion("refund_remarks not in", values, "refundRemarks");
            return (Criteria) this;
        }

        public Criteria andRefundRemarksBetween(String value1, String value2) {
            addCriterion("refund_remarks between", value1, value2, "refundRemarks");
            return (Criteria) this;
        }

        public Criteria andRefundRemarksNotBetween(String value1, String value2) {
            addCriterion("refund_remarks not between", value1, value2, "refundRemarks");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull() {
            addCriterion("ext_1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull() {
            addCriterion("ext_1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value) {
            addCriterion("ext_1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value) {
            addCriterion("ext_1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value) {
            addCriterion("ext_1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value) {
            addCriterion("ext_1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value) {
            addCriterion("ext_1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value) {
            addCriterion("ext_1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value) {
            addCriterion("ext_1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value) {
            addCriterion("ext_1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values) {
            addCriterion("ext_1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values) {
            addCriterion("ext_1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2) {
            addCriterion("ext_1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2) {
            addCriterion("ext_1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull() {
            addCriterion("ext_2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull() {
            addCriterion("ext_2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value) {
            addCriterion("ext_2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value) {
            addCriterion("ext_2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value) {
            addCriterion("ext_2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value) {
            addCriterion("ext_2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value) {
            addCriterion("ext_2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value) {
            addCriterion("ext_2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value) {
            addCriterion("ext_2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value) {
            addCriterion("ext_2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values) {
            addCriterion("ext_2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values) {
            addCriterion("ext_2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2) {
            addCriterion("ext_2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2) {
            addCriterion("ext_2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull() {
            addCriterion("ext_3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull() {
            addCriterion("ext_3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(String value) {
            addCriterion("ext_3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(String value) {
            addCriterion("ext_3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(String value) {
            addCriterion("ext_3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(String value) {
            addCriterion("ext_3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(String value) {
            addCriterion("ext_3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(String value) {
            addCriterion("ext_3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Like(String value) {
            addCriterion("ext_3 like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotLike(String value) {
            addCriterion("ext_3 not like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<String> values) {
            addCriterion("ext_3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<String> values) {
            addCriterion("ext_3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(String value1, String value2) {
            addCriterion("ext_3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(String value1, String value2) {
            addCriterion("ext_3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt4IsNull() {
            addCriterion("ext_4 is null");
            return (Criteria) this;
        }

        public Criteria andExt4IsNotNull() {
            addCriterion("ext_4 is not null");
            return (Criteria) this;
        }

        public Criteria andExt4EqualTo(String value) {
            addCriterion("ext_4 =", value, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4NotEqualTo(String value) {
            addCriterion("ext_4 <>", value, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4GreaterThan(String value) {
            addCriterion("ext_4 >", value, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4GreaterThanOrEqualTo(String value) {
            addCriterion("ext_4 >=", value, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4LessThan(String value) {
            addCriterion("ext_4 <", value, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4LessThanOrEqualTo(String value) {
            addCriterion("ext_4 <=", value, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4Like(String value) {
            addCriterion("ext_4 like", value, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4NotLike(String value) {
            addCriterion("ext_4 not like", value, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4In(List<String> values) {
            addCriterion("ext_4 in", values, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4NotIn(List<String> values) {
            addCriterion("ext_4 not in", values, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4Between(String value1, String value2) {
            addCriterion("ext_4 between", value1, value2, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4NotBetween(String value1, String value2) {
            addCriterion("ext_4 not between", value1, value2, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt5IsNull() {
            addCriterion("ext_5 is null");
            return (Criteria) this;
        }

        public Criteria andExt5IsNotNull() {
            addCriterion("ext_5 is not null");
            return (Criteria) this;
        }

        public Criteria andExt5EqualTo(String value) {
            addCriterion("ext_5 =", value, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5NotEqualTo(String value) {
            addCriterion("ext_5 <>", value, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5GreaterThan(String value) {
            addCriterion("ext_5 >", value, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5GreaterThanOrEqualTo(String value) {
            addCriterion("ext_5 >=", value, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5LessThan(String value) {
            addCriterion("ext_5 <", value, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5LessThanOrEqualTo(String value) {
            addCriterion("ext_5 <=", value, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5Like(String value) {
            addCriterion("ext_5 like", value, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5NotLike(String value) {
            addCriterion("ext_5 not like", value, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5In(List<String> values) {
            addCriterion("ext_5 in", values, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5NotIn(List<String> values) {
            addCriterion("ext_5 not in", values, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5Between(String value1, String value2) {
            addCriterion("ext_5 between", value1, value2, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5NotBetween(String value1, String value2) {
            addCriterion("ext_5 not between", value1, value2, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt6IsNull() {
            addCriterion("ext_6 is null");
            return (Criteria) this;
        }

        public Criteria andExt6IsNotNull() {
            addCriterion("ext_6 is not null");
            return (Criteria) this;
        }

        public Criteria andExt6EqualTo(String value) {
            addCriterion("ext_6 =", value, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6NotEqualTo(String value) {
            addCriterion("ext_6 <>", value, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6GreaterThan(String value) {
            addCriterion("ext_6 >", value, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6GreaterThanOrEqualTo(String value) {
            addCriterion("ext_6 >=", value, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6LessThan(String value) {
            addCriterion("ext_6 <", value, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6LessThanOrEqualTo(String value) {
            addCriterion("ext_6 <=", value, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6Like(String value) {
            addCriterion("ext_6 like", value, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6NotLike(String value) {
            addCriterion("ext_6 not like", value, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6In(List<String> values) {
            addCriterion("ext_6 in", values, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6NotIn(List<String> values) {
            addCriterion("ext_6 not in", values, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6Between(String value1, String value2) {
            addCriterion("ext_6 between", value1, value2, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6NotBetween(String value1, String value2) {
            addCriterion("ext_6 not between", value1, value2, "ext6");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}